
<?php
  //Инициализируем переменные
  $Login = $_POST['login'];
  $Email = $_POST['email'];
  //загружаем базу
  $UsersArr = @file($UsersDatabase);
  //Добавляем логин в файл
  if($_POST['ChangeUser'] != '')
  {
    //проверяем ввод
    include('_form_addnewuser_correct.inc');
  	if(empty($Errors))  //2
	  {
	    $Str = "{$Login}\n{$Email}\n";
	    $Str = $Str.@implode('', $UsersArr);
	    $SaveStatus = SaveStringInFile($UsersDatabase, $Str, 'w');

	    if($SaveStatus == '')
	    {
	      $Message = "{$Cpt_UserIsAdded1} <b>{$Login}</b> {$Cpt_UserIsAdded2}";
	      $Login = ''; $Email = '';
	    }
	  }
  }
  //выводим форму
  if($Email == 'no')
    $Email = '';
  print "<form action='' method=post>";
  print "<h4>{$Heading_PollUsersDataBase}</h4>";
  print "<h5>{$Menu_pud_AddUser}</h5>";
  //подсказки
  if($ShowTips == 'yes')
    ShowTips($Page);
  //Выводим информацию
  ShowMessage($Message);
  //Выводим ошибки
  ShowErrors($Errors);
  include('_form_addnewuser.inc');
  print "</form>";
?>